package net.minecraft.util;

import net.minecraft.network.chat.Component;

public interface ProgressListener {
    void progressStartNoAbort(final Component lf);
    
    void progressStart(final Component lf);
    
    void progressStage(final Component lf);
    
    void progressStagePercentage(final int integer);
    
    void stop();
}
